/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"netutils.h"


HOST_ADDR
getHA_v4(unsigned int ip)
{
HOST_ADDR ret;
	if ( ip ) {
		ret.type = HAT_V4;
		ret.size = sizeof(ip);
		ret.d.v4 = ip;
		return ret;
	}
	else {
		ret.type = 0;
		ret.size = 0;
		return ret;
	}
}


